<!--
  Generated template for the MovePage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>
  <ion-navbar color="danger">
    <ion-title>Move</ion-title>
  </ion-navbar>
</ion-header>

<ion-content padding>
  <ng-container *ngIf="!!moveInfo">
    <div class="move-header">
     <span [innerHTML]="moveInfo.name | uppercase"></span>
    </div>
    <div class="accuracy">
      Accuracy: <span [innerHTML]="moveInfo.accuracy === null ? 'N/A' : moveInfo.accuracy"></span>
    </div>

    <div class="effects">
      <div class="effect-header">
        Effect/s
      </div>
      <div class="effect-body" *ngFor="let effect of moveInfo.effect_entries">
        <span [innerHTML]="effect.effect"></span>
      </div>
    </div>
  </ng-container>
</ion-content>
